Subject: Re: [bug#40035] Add widelands game

From: Nicolas Goaziou <[email-masked]>
Date: Fri, 19 Jun 2020 23:55:29 +0200

Tobias Geerinckx-Rice <[email-masked]> writes:

> I don't get it: there's a debian/ subdir in the tarball.  It does not
> contain this patch.  It's not here[0] either.  I'm not familiar enough
> with Widelands/Debian packaging to know where else to look.  It's not
> the end of the world though.  It'll be gone by the next build.

I was confused. The patch comes from Debian's package[¹], not from
upstream.

>> Also, Debian's copyright file considers it GPL2+.
>
> Quite the opposite[1]:
>
>  Files: data/i18n/fonts/Culmus/*
>  Copyright: 2010 by Yoram Gnat ([email-masked]).
>  License: GPL-2

Oh! You're right.

> I'm not lawyerly enough to know if the combined work can be
> distributed as GPL2+.  I don't see how.  I'd love to be proved wrong!

Debian does it nonetheless[²].

[¹]  https://salsa.debian.org/games-team/widelands/-/tree/master/debian/patches

[²]  https://salsa.debian.org/games-team/widelands/-/blob/master/debian/copyright

Regards,